._.*
*.o
build
-Makefile
autom4te.cache
*~
*.pbxuser
*.xcworkspace
*.xcuserdatad
/release
+.github
+Flat_Bezel.qsplugin.tar.gz
ORGANIZATIONNAME = BRNBW;
TargetAttributes = {
E470B7DE1709F3A0000169F2 = {
+ DevelopmentTeam = S68NHQVJXW;
LastSwiftMigration = 1410;
- ProvisioningStyle = Manual;
+ ProvisioningStyle = Automatic;
};
};
};
buildSettings = {
CLANG_ENABLE_MODULES = YES;
CLANG_ENABLE_OBJC_WEAK = YES;
+ CODE_SIGN_IDENTITY = "Apple Development";
+ "CODE_SIGN_IDENTITY[sdk=macosx*]" = "-";
+ CODE_SIGN_STYLE = Automatic;
+ CURRENT_PROJECT_VERSION = 10;
DEAD_CODE_STRIPPING = YES;
DEFINES_MODULE = YES;
+ DEVELOPMENT_TEAM = S68NHQVJXW;
LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/../Frameworks @loader_path/../Frameworks";
MACOSX_DEPLOYMENT_TARGET = 12.0;
PRODUCT_BUNDLE_IDENTIFIER = "pizza.unlimited.${PRODUCT_NAME:rfc1034identifier}";
PRODUCT_NAME = "Flat Bezel";
+ PROVISIONING_PROFILE_SPECIFIER = "";
SWIFT_OBJC_BRIDGING_HEADER = "Flat Bezel/FlatBezel-Bridging-Header.h";
SWIFT_OPTIMIZATION_LEVEL = "-Onone";
SWIFT_VERSION = 5.0;
buildSettings = {
CLANG_ENABLE_MODULES = YES;
CLANG_ENABLE_OBJC_WEAK = YES;
+ CODE_SIGN_IDENTITY = "Apple Development";
+ "CODE_SIGN_IDENTITY[sdk=macosx*]" = "-";
+ CODE_SIGN_STYLE = Automatic;
+ CURRENT_PROJECT_VERSION = 10;
DEAD_CODE_STRIPPING = YES;
DEFINES_MODULE = YES;
+ DEVELOPMENT_TEAM = S68NHQVJXW;
LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/../Frameworks @loader_path/../Frameworks";
MACOSX_DEPLOYMENT_TARGET = 12.0;
PRODUCT_BUNDLE_IDENTIFIER = "pizza.unlimited.${PRODUCT_NAME:rfc1034identifier}";
PRODUCT_NAME = "Flat Bezel";
+ PROVISIONING_PROFILE_SPECIFIER = "";
SWIFT_OBJC_BRIDGING_HEADER = "Flat Bezel/FlatBezel-Bridging-Header.h";
SWIFT_VERSION = 5.0;
};
<key>CFBundleShortVersionString</key>
<string>1.0.0</string>
<key>CFBundleVersion</key>
- <string>1</string>
- <key>QSRequirements</key>
- <dict>
- <key>minHostVersion</key>
- <string>4039</string>
- </dict>
+ <string>18</string>
<key>QSPlugIn</key>
<dict>
<key>author</key>
<string><h2>Flat Bezel Interface</h2>
<p>A new take on the Bezel Interface, using a flatter look.</p>
<h3>Colors</h3>
-<p>Both light mode and dark mode are supported by this plugin. Choose your color preferences by enabling the Flat Bezel interface in the Appearance preferences, and then clicking the 'Customize' button.</p>
+<p>Both light mode and dark mode are supported by this plugin. Choose your color preferences by enabling the Flat Bezel interface in the Appearance preferences, and then clicking the 'Customize' button.</p>
<h3>Credits</h3>
-This plugin was created by Ruben Beltran del Río, building on top of the Yosemite interface that was originally built by Mikkel Malmberg (<a href="https://github.com/mikker/">@mikker</a>), and updated by the Patrick Robertson and the Quicksilver Development Team.</string>
+This plugin was created by Ruben Beltran del Río, building on top of the Yosemite interface that was originally built by Mikkel Malmberg (<a href="https://github.com/mikker/">@mikker</a>), and updated by the Patrick Robertson and the Quicksilver Development Team.</string>
</dict>
<key>QSRegistration</key>
<dict>
+ <key>QSCommandInterfaceControllers</key>
+ <dict>
+ <key>Flat Bezel</key>
+ <string>BBFlatBezelInterface</string>
+ </dict>
<key>QSPreferencePanes</key>
<dict>
<key>BBFlatBezelPrefs</key>
<string>hidden</string>
</dict>
</dict>
- <key>QSCommandInterfaceControllers</key>
- <dict>
- <key>Flat Bezel</key>
- <string>BBFlatBezelInterface</string>
- </dict>
+ </dict>
+ <key>QSRequirements</key>
+ <dict>
+ <key>minHostVersion</key>
+ <string>4039</string>
+ <key>version</key>
+ <string>4001</string>
</dict>
</dict>
</plist>
--- /dev/null
+configuration = Debug
+quicksilver_path = "../../vendor/Quicksilver/Quicksilver/"
+
+default: build
+
+build:
+ configuration=$(configuration) quicksilver_path=$(quicksilver_path) ./scripts/build.sh
Pre-alpha development.
A new take on the Bezel Interface, using a flatter look.
+
+## Building
+
+For easy CLI build you can run `make`. The default configuration is `Debug`,
+but you can change the configuration by running `make -e configuration=Release`.
+
+This assumes quicksilver is checked out in `../../vendor/Quicksilver`, but this
+value can be updated with the `quicksilver_path` variable (eg.
+`make -e quicksilver_path=../Quicksilver`).
+
+## Building for release
+
+To build for release you will have to set the environment variable
+`$SIGNING_IDENTITY`, otherwise it won't be correctly signed
--- /dev/null
+#!/usr/bin/env sh
+
+set -e
+
+echo "Starting build with configuration ${configuration}" > /dev/stderr
+echo "Quicksilver path is: ${quicksilver_path}" > /dev/stderr
+pushd "${quicksilver_path}"
+echo "Starting build at `pwd`" > /dev/stderr
+xcodebuild \
+ -quiet \
+ -destination generic/platform=macos \
+ -configuration "${configuration}" \
+ -scheme 'Quicksilver Distribution' \
+ build
+popd
+echo "Building `pwd`" > /dev/stderr
+xcodebuild \
+ -quiet \
+ -destination generic/platform=macos \
+ -configuration "${configuration}" \
+ -scheme 'Flat Bezel' \
+ build
+
+echo "Build complete, signing." > /dev/stderr
+output_path="/tmp/QS/build/Release/Quicksilver.app/Contents/PlugIns/"
+plugin_name="Flat Bezel.qsplugin"
+codesign --force -vvv --deep --sign ${SIGNING_IDENTITY} "${output_path}${plugin_name}"
+
+echo "Signing complete, archiving." > /dev/stderr
+archive_name="Flat_Bezel.qsplugin.tar.gz"
+pushd "${output_path}"
+tar -czvf "${archive_name}" "${plugin_name}"
+popd
+mv "${output_path}${archive_name}" .
+echo "Done." > /dev/stderr